window.addEventListener('load', () => {
  setoptions();
  setoptions1();
  setoptions2();
  setoptions3();
})

function setoptions(){
var mapa=new Set();
var iterator=mapa.keys();
var liczba=0;
var options='';
document.querySelectorAll('.kategoria').forEach(kategory => {
mapa.add('<option value="'+kategory.innerHTML+'">'+kategory.innerHTML+'</option>');
//   console.log(kategory.innerHTML);
})

for(var val of mapa){
  options=options+val;
}
document.querySelector('#selkategoria').innerHTML=document.querySelector('#selkategoria').innerHTML+''+options;
}
function setoptions1(){
  var mapa=new Set();
  var iterator=mapa.keys();
  var liczba=0;
  var options='';
  document.querySelectorAll('.kategoria1').forEach(kategory => {
    mapa.add('<option value="'+kategory.innerHTML+'">'+kategory.innerHTML+'</option>');
    //   console.log(kategory.innerHTML);
  })
  
   for(var val of mapa){
      options=options+val;
   }
   document.querySelector('#selkategoria1').innerHTML=document.querySelector('#selkategoria1').innerHTML+''+options;
  }

  function setoptions2(){
      var mapa=new Set();
      var iterator=mapa.keys();
      var liczba=0;
      var options='';
      document.querySelectorAll('.powiekszenie').forEach(kategory => {
       mapa.add(kategory.innerHTML);
      })
             var sorted=Array.from(mapa).sort((a, b) => a - b);
      var mapa1=new Set(sorted);
      mapa.clear;
     for(var sor of mapa1){
      mapa.add('<option value="'+sor+'">'+sor+'</option>');
     }

      
      //   console.log(kategory.innerHTML);
       for(var val of mapa){
          options=options+val;
       }

       console.log(options+"numery do sortowania ");
       document.querySelector('#powiekszenie').innerHTML=document.querySelector('#powiekszenie').innerHTML+''+options;
      }

      function setoptions3(){
          var mapa=new Set();
          var iterator=mapa.keys();
          var liczba=0;
          var options='';
          document.querySelectorAll('.opis').forEach(kategory => {
            mapa.add('<option value="'+kategory.innerHTML+'">'+kategory.innerHTML+'</option>');
            //   console.log(kategory.innerHTML);
          })
          
           for(var val of mapa){
              options=options+val;
           }
           document.querySelector('#opis').innerHTML=document.querySelector('#opis').innerHTML+''+options;
          }